commit 5ee54603e270de71cd68c90ae1d334244b881609
Author: freddy77 <freddy77>
Date:   Tue Jun 29 12:01:17 2010 +0000

    use ISO-8859-1 if ASCII is detected

diff --git a/ChangeLog b/ChangeLog
index c54fdef..1c0f42b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jun 29 14:00:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/mem.c: use ISO-8859-1 if ASCII is detected
+
 Mon Jun 28 22:24:37 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_util.c:
 	- add odbc_dstr_copy and reuse it
@@ -2534,4 +2537,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3044 2010/06/28 20:24:49 freddy77 Exp $
+$Id: ChangeLog,v 1.3045 2010/06/29 12:01:17 freddy77 Exp $
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 4d2bdcd..56bfede 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.199 2010/06/27 17:46:43 berryc Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.200 2010/06/29 12:01:17 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -806,7 +806,9 @@ tds_alloc_connection(TDSLOCALE * locale)
 {
 	TDSCONNECTION *connection;
 	char hostname[128];
-#if !(HAVE_NL_LANGINFO && defined(CODESET))
+#if HAVE_NL_LANGINFO && defined(CODESET)
+	char *charset;
+#else
 	char *lc_all;
 #endif
 
@@ -834,7 +836,10 @@ tds_alloc_connection(TDSLOCALE * locale)
 
 	setlocale(LC_ALL, "");
 #if HAVE_NL_LANGINFO && defined(CODESET)
-	if (!tds_dstr_copy(&connection->client_charset, nl_langinfo(CODESET)))
+	charset = nl_langinfo(CODESET);
+	if (strcmp(tds_canonical_charset_name(charset), "US-ASCII") == 0)
+		charset = "ISO-8859-1";
+	if (!tds_dstr_copy(&connection->client_charset, charset))
 		goto Cleanup;;
 #else
 	if (!tds_dstr_copy(&connection->client_charset, "ISO-8859-1"))

